CADABRA(1)

NAME
cadabra - field-theory motivated computer algebra system

SYNOPSIS
cadabra

DESCRIPTION
Cadabra is a computer algebra system for the manipulation of tensorial expressions. The output of cadabra is either plain text or UTF8 encoded Unicode (see the environment variables described below). The line-breaking properties of the latter are used to wrap large expressions are reasonable points. In addition to the standard output, cadabra can print status information, which is wrapped in special <status>...</status> blocks.

OPTIONS

--silent
    Disables all output, except for output generated by the @print algorithm.

--loginput
    Copy the input into the log file.

--input filename
    Read the indicated file as input before switching to console input.

--prompt string
    Set the prompt of the interactive session to the indicated string.

ENVIRONMENT VARIABLES
The following variables toggle various features on or off, depending on whether the variable is set or not:

CDB_PRINTSTAR
    Display a star to indicate products. Without this setting, a space is used.

CDB_USE_UTF8
    Use UTF8 encoding for output. This in particular will introduce non-breakable spaces to group objects together, as well as zero-width non-breakable spaces to prevent line-breaks after brackets, underscore and caret symbols. When this variable is not set, the output will be plain ASCII without any special symbols.

SEE ALSO
xcadabra(1). See the web page at http://www.aei.mpg.de/~peekas/cadabra/ for binaries, example calculations and the full manual.

AUTHORS
Kasper Peeters <kasper.peeters@aei.mpg.de>